<html>
<head>
<title>OGRE: Ogre::MaterialScriptCompiler::MaterialScriptContext Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1MaterialScriptCompiler.html">MaterialScriptCompiler</a>::<a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html">MaterialScriptContext</a></div>
<h1>Ogre::MaterialScriptCompiler::MaterialScriptContext Struct Reference</h1><!-- doxytag: class="Ogre::MaterialScriptCompiler::MaterialScriptContext" -->Struct for holding the script context while parsing.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialScriptCompiler.html#c87b6d292401a48e50ceca7c3bb147dc">MaterialScriptSection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81f44dba0c5e2328f81d899b525d5aa4">section</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#70eb6b821ab4acb88744c17a6b88c174">groupName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#c4dc01582a182ef1019c9a95249bfee4">material</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81eea68843db4389bcdbd4120e6ff467">technique</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#3ed3371a080bee51860c639e1161df26">pass</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#dcc69913b875d3b947d9c33bea0d8c18">textureUnit</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#bf614366cdcb8c67eeb030031d311ce7">program</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#f06ebe64719807fcdbf8ab9dae39b363">isProgramShadowCaster</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#d1c1b0ccc8c01b6b246e5d8aca06519e">isVertexProgramShadowReceiver</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#10b8aaace30f3b479f3c254a09245ea5">isFragmentProgramShadowReceiver</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#d3585d8495d69bd3eeae65d6cbfdb664">allowOverride</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#e76d0ddebf4e237832eb58ff2b7bc09f">programParams</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#fe61f7f3023c2078e9113b131bc3f419">numAnimationParametrics</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#1ab4cdc0414377a836984f34c7e25c60">programDef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#12a7840fbbcfe93dd18928220cabf008">techLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#0a69bfad53258538bd63f0abebc04293">passLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#38c1df3e48094a27b152fbd642febce1">stateLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; size_t &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#cc0f45881db2f330073b5a4dca822427">pendingDefaultParams</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b">AliasTextureNamePairList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#ca41a9f91d85e2c579284179378ec927">textureAliases</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81eea68843db4389bcdbd4120e6ff467">technique</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#3ed3371a080bee51860c639e1161df26">pass</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#dcc69913b875d3b947d9c33bea0d8c18">textureUnit</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#1ab4cdc0414377a836984f34c7e25c60">programDef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector&lt; size_t &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#cc0f45881db2f330073b5a4dca822427">pendingDefaultParams</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct for holding the script context while parsing. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00166">166</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="81f44dba0c5e2328f81d899b525d5aa4"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::section" ref="81f44dba0c5e2328f81d899b525d5aa4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialScriptCompiler.html#c87b6d292401a48e50ceca7c3bb147dc">MaterialScriptSection</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81f44dba0c5e2328f81d899b525d5aa4">Ogre::MaterialScriptCompiler::MaterialScriptContext::section</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00168">168</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="70eb6b821ab4acb88744c17a6b88c174"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::groupName" ref="70eb6b821ab4acb88744c17a6b88c174" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#70eb6b821ab4acb88744c17a6b88c174">Ogre::MaterialScriptCompiler::MaterialScriptContext::groupName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00169">169</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4dc01582a182ef1019c9a95249bfee4"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::material" ref="c4dc01582a182ef1019c9a95249bfee4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#c4dc01582a182ef1019c9a95249bfee4">Ogre::MaterialScriptCompiler::MaterialScriptContext::material</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00170">170</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="81eea68843db4389bcdbd4120e6ff467"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::technique" ref="81eea68843db4389bcdbd4120e6ff467" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81eea68843db4389bcdbd4120e6ff467">Ogre::MaterialScriptCompiler::MaterialScriptContext::technique</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00171">171</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ed3371a080bee51860c639e1161df26"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::pass" ref="3ed3371a080bee51860c639e1161df26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#3ed3371a080bee51860c639e1161df26">Ogre::MaterialScriptCompiler::MaterialScriptContext::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00172">172</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dcc69913b875d3b947d9c33bea0d8c18"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::textureUnit" ref="dcc69913b875d3b947d9c33bea0d8c18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#dcc69913b875d3b947d9c33bea0d8c18">Ogre::MaterialScriptCompiler::MaterialScriptContext::textureUnit</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00173">173</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf614366cdcb8c67eeb030031d311ce7"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::program" ref="bf614366cdcb8c67eeb030031d311ce7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#bf614366cdcb8c67eeb030031d311ce7">Ogre::MaterialScriptCompiler::MaterialScriptContext::program</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00174">174</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f06ebe64719807fcdbf8ab9dae39b363"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::isProgramShadowCaster" ref="f06ebe64719807fcdbf8ab9dae39b363" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#f06ebe64719807fcdbf8ab9dae39b363">Ogre::MaterialScriptCompiler::MaterialScriptContext::isProgramShadowCaster</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00175">175</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d1c1b0ccc8c01b6b246e5d8aca06519e"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::isVertexProgramShadowReceiver" ref="d1c1b0ccc8c01b6b246e5d8aca06519e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#d1c1b0ccc8c01b6b246e5d8aca06519e">Ogre::MaterialScriptCompiler::MaterialScriptContext::isVertexProgramShadowReceiver</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00176">176</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="10b8aaace30f3b479f3c254a09245ea5"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::isFragmentProgramShadowReceiver" ref="10b8aaace30f3b479f3c254a09245ea5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#10b8aaace30f3b479f3c254a09245ea5">Ogre::MaterialScriptCompiler::MaterialScriptContext::isFragmentProgramShadowReceiver</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00177">177</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d3585d8495d69bd3eeae65d6cbfdb664"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::allowOverride" ref="d3585d8495d69bd3eeae65d6cbfdb664" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#d3585d8495d69bd3eeae65d6cbfdb664">Ogre::MaterialScriptCompiler::MaterialScriptContext::allowOverride</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00178">178</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e76d0ddebf4e237832eb58ff2b7bc09f"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::programParams" ref="e76d0ddebf4e237832eb58ff2b7bc09f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#e76d0ddebf4e237832eb58ff2b7bc09f">Ogre::MaterialScriptCompiler::MaterialScriptContext::programParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00179">179</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fe61f7f3023c2078e9113b131bc3f419"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::numAnimationParametrics" ref="fe61f7f3023c2078e9113b131bc3f419" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#fe61f7f3023c2078e9113b131bc3f419">Ogre::MaterialScriptCompiler::MaterialScriptContext::numAnimationParametrics</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00180">180</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ab4cdc0414377a836984f34c7e25c60"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::programDef" ref="1ab4cdc0414377a836984f34c7e25c60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#1ab4cdc0414377a836984f34c7e25c60">Ogre::MaterialScriptCompiler::MaterialScriptContext::programDef</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00181">181</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="12a7840fbbcfe93dd18928220cabf008"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::techLev" ref="12a7840fbbcfe93dd18928220cabf008" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#12a7840fbbcfe93dd18928220cabf008">Ogre::MaterialScriptCompiler::MaterialScriptContext::techLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00183">183</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0a69bfad53258538bd63f0abebc04293"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::passLev" ref="0a69bfad53258538bd63f0abebc04293" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#0a69bfad53258538bd63f0abebc04293">Ogre::MaterialScriptCompiler::MaterialScriptContext::passLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00183">183</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="38c1df3e48094a27b152fbd642febce1"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::stateLev" ref="38c1df3e48094a27b152fbd642febce1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#38c1df3e48094a27b152fbd642febce1">Ogre::MaterialScriptCompiler::MaterialScriptContext::stateLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00183">183</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc0f45881db2f330073b5a4dca822427"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::pendingDefaultParams" ref="cc0f45881db2f330073b5a4dca822427" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;size_t&gt; <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#cc0f45881db2f330073b5a4dca822427">Ogre::MaterialScriptCompiler::MaterialScriptContext::pendingDefaultParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00187">187</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ca41a9f91d85e2c579284179378ec927"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::textureAliases" ref="ca41a9f91d85e2c579284179378ec927" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b">AliasTextureNamePairList</a> <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#ca41a9f91d85e2c579284179378ec927">Ogre::MaterialScriptCompiler::MaterialScriptContext::textureAliases</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html#l00189">189</a> of file <a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="81eea68843db4389bcdbd4120e6ff467"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::technique" ref="81eea68843db4389bcdbd4120e6ff467" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#81eea68843db4389bcdbd4120e6ff467">Ogre::MaterialScriptCompiler::MaterialScriptContext::technique</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00171">171</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ed3371a080bee51860c639e1161df26"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::pass" ref="3ed3371a080bee51860c639e1161df26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#3ed3371a080bee51860c639e1161df26">Ogre::MaterialScriptCompiler::MaterialScriptContext::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00172">172</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dcc69913b875d3b947d9c33bea0d8c18"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::textureUnit" ref="dcc69913b875d3b947d9c33bea0d8c18" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#dcc69913b875d3b947d9c33bea0d8c18">Ogre::MaterialScriptCompiler::MaterialScriptContext::textureUnit</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00173">173</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ab4cdc0414377a836984f34c7e25c60"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::programDef" ref="1ab4cdc0414377a836984f34c7e25c60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a>* <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#1ab4cdc0414377a836984f34c7e25c60">Ogre::MaterialScriptCompiler::MaterialScriptContext::programDef</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00181">181</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc0f45881db2f330073b5a4dca822427"></a><!-- doxytag: member="Ogre::MaterialScriptCompiler::MaterialScriptContext::pendingDefaultParams" ref="cc0f45881db2f330073b5a4dca822427" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;size_t&gt; <a class="el" href="structOgre_1_1MaterialScriptCompiler_1_1MaterialScriptContext.html#cc0f45881db2f330073b5a4dca822427">Ogre::MaterialScriptCompiler::MaterialScriptContext::pendingDefaultParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialScriptCompiler_8h-source.html#l00187">187</a> of file <a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreMaterialScriptCompiler_8h-source.html">Attic/OgreMaterialScriptCompiler.h</a><li><a class="el" href="OgreMaterialScriptCompiler_8h-source.html">OgreMaterialScriptCompiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:05 2008
</p>
</body>
</html>
